# This is the CRAN name
%global packname latticeExtra
# This is the main package version
%global packver 0.6
# Note that some R packages do not use packrel
%global packrel 28

Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 0.fc27.lc
Summary: Extra graphical utilities based on lattice

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/latticeExtra/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: R-devel tex(latex) R-RColorBrewer R-lattice
Requires: R-core R-RColorBrewer
%define debug_package %{nil}

%description
R package:
Extra graphical utilities based on lattice

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}

%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/data/Rdata.rdb
%{_libdir}/R/library/%{packname}/data/Rdata.rds
%{_libdir}/R/library/%{packname}/data/Rdata.rdx
%{_libdir}/R/library/%{packname}/data/datalist
%{_libdir}/R/library/%{packname}/scripts/README.USAge
%{_libdir}/R/library/%{packname}/old.svnlog

%changelog
* Sat Nov 16 2019 Stuart Raeburn <raeburn@loncapa.org> (0.6.28)
- Update to 0.6.28

* Tue Jun 5 2018 Stuart Raeburn <raeburn@loncapa.org> (0.6.26)
- Initial build 

